#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

	string s;
    cin>>s;
    vector<int> arr(s.size()+1);
    vector<int> arr1(s.size()+1);
    int k = 1;
    int pos=0;
    char maxx='a';
    for (int i = 0; i < s.size();i++) {
        if (s[i]<maxx) {
            k++;
            pos=i;}
        maxx=s[i];
        arr[i+1]=k;
        arr1[i+1]=pos;
    }
    int q = 0;
    cin>>q;
    for (int i = 0; i <q;i++) {
        int l,r;
        cin>>l>>r;
        cout<<arr[r]-arr[arr1[l]]<<endl;
    }
}
